<?xml version="1.0"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
	<id>http://70.231.62.181/index.php?action=history&amp;feed=atom&amp;title=Module%3AFlex_columns%2Fsandbox%2Fstyles.css</id>
	<title>Module:Flex columns/sandbox/styles.css - Revision history</title>
	<link rel="self" type="application/atom+xml" href="http://70.231.62.181/index.php?action=history&amp;feed=atom&amp;title=Module%3AFlex_columns%2Fsandbox%2Fstyles.css"/>
	<link rel="alternate" type="text/html" href="http://70.231.62.181/index.php?title=Module:Flex_columns/sandbox/styles.css&amp;action=history"/>
	<updated>2026-04-22T14:11:49Z</updated>
	<subtitle>Revision history for this page on the wiki</subtitle>
	<generator>MediaWiki 1.45.1</generator>
	<entry>
		<id>http://70.231.62.181/index.php?title=Module:Flex_columns/sandbox/styles.css&amp;diff=11903880&amp;oldid=prev</id>
		<title>imported&gt;Izno: add later edit summary</title>
		<link rel="alternate" type="text/html" href="http://70.231.62.181/index.php?title=Module:Flex_columns/sandbox/styles.css&amp;diff=11903880&amp;oldid=prev"/>
		<updated>2022-05-21T01:14:34Z</updated>

		<summary type="html">&lt;p&gt;add later edit summary&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;/* edit summary for the main module: invert media queries, remove float fallback as flex is well-supported by all MediaWiki-supported browsers, add gap using @supports fallback to padding and large note to go with it, remove unnecessary box-sizing */&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
/* I wonder why this clears, also seems suspect for a general flex-columns&lt;br /&gt;
 * module, see below &amp;gt;div selector rules&lt;br /&gt;
 */&lt;br /&gt;
.flex-columns-container {&lt;br /&gt;
	clear: both;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.flex-columns-container &amp;gt; .flex-columns-column {&lt;br /&gt;
	display: flex;&lt;br /&gt;
	flex-direction: column;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* TODO: these two rules seem suspect for a general flex-columns module and&lt;br /&gt;
 * should be moved to some portal-specific variant probably&lt;br /&gt;
 * also would need to remove the rule declaring the columns to be display: flex&lt;br /&gt;
 * and their associated flex-direction&lt;br /&gt;
 */&lt;br /&gt;
.flex-columns-container &amp;gt; .flex-columns-column &amp;gt; div {&lt;br /&gt;
	flex: 1 0 auto;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.flex-columns-container &amp;gt; .flex-columns-column &amp;gt; div.flex-columns-noflex {&lt;br /&gt;
	flex: 0;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* the padding in the @supports not case really should just categorically be&lt;br /&gt;
 * `gap` rules because having more than two columns flexing isn&amp;#039;t pretty&lt;br /&gt;
 * with the padding version. however, flex `gap` was released in 2018 for&lt;br /&gt;
 * Firefox and 2020 for everyone else, so it&amp;#039;s fairly new. honestly kind of&lt;br /&gt;
 * surprised that css-sanitizer doesn&amp;#039;t yell about it. some percent of browsers&lt;br /&gt;
 * (~1.5% pageviews total) right now for the targeted environment (desktop) of&lt;br /&gt;
 * these rules will interpret this as `gap` for grid, so they will have no&lt;br /&gt;
 * padding and no flex `gap`. seems like a reasonable tradeoff&lt;br /&gt;
 * TODO: remove @supports at-rule sometime in 2023 or 2024 when a more&lt;br /&gt;
 * significant ratio of viewing browsers support `gap` in flex&lt;br /&gt;
 */&lt;br /&gt;
@supports (gap: 1em) {&lt;br /&gt;
	@media screen and (min-width: 720px) {&lt;br /&gt;
		.flex-columns-container {&lt;br /&gt;
			gap: 1em;&lt;br /&gt;
		}&lt;br /&gt;
	}&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
@supports not (gap: 1em) {&lt;br /&gt;
	@media screen and (min-width: 720px) {&lt;br /&gt;
		.flex-columns-container &amp;gt; .flex-columns-column {&lt;br /&gt;
			padding: 0 0.5em;&lt;br /&gt;
		}&lt;br /&gt;
	&lt;br /&gt;
		.flex-columns-container &amp;gt; .flex-columns-column:first-child {&lt;br /&gt;
			padding-left: 0;&lt;br /&gt;
		}&lt;br /&gt;
	&lt;br /&gt;
		.flex-columns-container &amp;gt; .flex-columns-column:last-child {&lt;br /&gt;
			padding-right: 0;&lt;br /&gt;
		}&lt;br /&gt;
	}&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
@media screen and (min-width: 720px) {&lt;br /&gt;
	.flex-columns-container {&lt;br /&gt;
		display: flex;&lt;br /&gt;
		flex-wrap: wrap;&lt;br /&gt;
	}&lt;br /&gt;
	&lt;br /&gt;
	.flex-columns-container &amp;gt; .flex-columns-column {&lt;br /&gt;
		flex: 1;&lt;br /&gt;
		min-width: 360px;&lt;br /&gt;
	}&lt;br /&gt;
}&lt;/div&gt;</summary>
		<author><name>imported&gt;Izno</name></author>
	</entry>
</feed>